Subject: Re: bug#22556: 25.0.90; autogen.sh automatic parameter isn't working
From: Paul Eggert <[email-masked]>
To: Glenn Morris <[email-masked]>, David Caldwell <[email-masked]>
Cc: [email-masked]
Date: Fri, 5 Feb 2016 14:18:44 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On 02/05/2016 09:41 AM, Glenn Morris wrote:
> I meant that your patch should be fine to apply.
> But AFAICS at the next merge from emacs-25 the relevant code will all
> disappear anyway. Or there will be a merge conflict.

I think this problem is present only in master. I installed the attached 
patch, which should fix it. David, thanks for reporting it.

This shell compatibility issue isn't documented in the Autoconf manual, 
so I installed a patch to document it, here:

http://git.savannah.gnu.org/cgit/autoconf.git/commit/?id=5483deb8ae9a6265ce3af0f4c5c574d44cafbcf5